put
https://{youraccountname}.api-us1.com/api/3/messages/
html and text accept a fetch:https://example.com/content value, which loads the content from that URL; htmlfetch and textfetch control when it is fetched. The URL must be http/https and reachable, and a URL that is malformed or not allowed is rejected with a 422, as is an unsupported format, priority, charset or encoding.
Messages edited through the API will not show updates in the UI preview window.When a message is edited through the API, the preview window and email builder will not show the updated contents, and will save over whatever updates were made with the API with what is shown in the email editor.
To preview a message that was updated with the API, select "Test And Preview" in the campaign builder window, then select your preview option:
{
"message": {
"fromname": "AC Admin",
"fromemail": "[email protected]",
"reply2": "[email protected]",
"subject": "You are subscribing to %LISTNAME%",
"preheader_text": "Pre-header Text",
"text": "hello",
"html": "<div>hello</div>"
}
}{
"message": {
"userid": "0",
"ed_instanceid": "0",
"ed_version": "1",
"cdate": "2024-08-06T16:31:45-05:00",
"mdate": "2024-08-06T16:33:23-05:00",
"name": "",
"fromname": "AC Admin",
"fromemail": "[email protected]",
"reply2": "[email protected]",
"priority": "3",
"charset": "utf-8",
"encoding": "8bit",
"format": "mime",
"subject": "You are subscribing to %LISTNAME%",
"preheader_text": "Pre-header Text",
"text": "hello",
"html": "<div>hello</div>",
"htmlfetch": "now",
"textfetch": "now",
"hidden": "0",
"preview_mime": "",
"preview_data": null,
"has_predictive_content": "0",
"links": {
"user": "https://accountName.api-us1.com/api/3/messages/56/user",
"hyperlinks": "https://accountName.api-us1.com/api/3/messages/56/hyperlinks"
},
"id": "56",
"user": null
}
}
